#{extends 'border.html'/}
<div class="container">
#{form @admin.PenyediaLokalCtr.createSubmitPenyediaLokal(), method:'POST', class:'form-horizontal'}

    <div class="row">
        <div class="col-md-12">
            <!-- Breadcrumb -->
            <ol class="breadcrumb">
                <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li><a href="@{admin.PenyediaLokalCtr.index()}">&{'penyedia_lokal_sektoral.label'}</a></li>
                <li class="active">&{'tambah.label'} &{'penyedia.label'} ${komoditas?.nama_komoditas}</li>
            </ol>
            <!-- End Breadcrumb -->
        </div>
    </div>

    <!-- Toolbar -->
    <div class="row">
        <div class="col-md-12">
            <div class="toolbar">
                #{backButton action:@admin.PenyediaLokalCtr.index()/}
                #{saveButton/}
            </div>
        </div>
    </div>
    <!-- End Toolbar -->

    <div class="row">
        <div class="col-md-12">
            #{alert /}
            <div class="panel panel-default">
                <div class="panel-body">
                    <div class="col-md-7">
                        <div class="panel panel-default">
                            <div class="panel-heading"><h5>&{'tambah.label'} &{'penyedia.label'}</h5></div>
                            <div class="panel-body">
                                <form class="form-horizontal">
                                    <div class="form-group">
                                        <div class="row">
                                            <input type="hidden" name="komoditas_id" value="${komoditas?.id}"/>
                                            <label class="control-label col-sm-3">&{'username.label'}</label>
                                            <div class="col-sm-7">
                                                <input id="keyword" type="text" class="form-control" placeholder="Username"/>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-sm-7 col-sm-offset-3">
                                            <button id="search_user" type="button" class="btn btn-sm btn-primary">&{'cari.label'} &{'penyedia.label'}</button>
                                        </div>
                                    </div>
                                </form>

                                <table class="table table-condensed" id="tblPaket">
                                    <thead>
                                    <tr>
                                        <th class="column-center">&{'id.label'}</th>
                                        <th class="column-center">&{'username.label'}</th>
                                        <th class="column-center">&{'nama_lengkap.label'}</th>
                                        <th class="column-center">&{'rkn_id.label'}</th>
                                        <th></th>
                                    </tr>
                                    </thead>
                                </table>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-5">
                        <div class="panel panel-default">
                            <div class="panel-heading"><h5>&{'daftar_penyedia_terpilih.label'}</h5></div>
                            <div class="panel-body">
                                <table class="table" id="selected_package">
                                    <thead>
                                    <tr>
                                        <th class="column-center">&{'id.label'}</th>
                                        <th class="column-center">&{'username.label'}</th>
                                        <th class="column-center">&{'nama_lengkap.label'}</th>
                                        <th class="column-center">&{'rkn_id.label'}</th>
                                        <th></th>
                                    </tr>
                                        #{list listUser, as:'user'}
                                        <tr>
                                            <td>${user.user_id}</td>
                                            <td>${user.user_nama_lengkap}</td>
                                            <td>${user.user_name}</td>
                                            <td>
                                                <button type="button" class="remove_package btn btn-danger" paketId="${user.user_id}"><i class="fa fa-trash"></i></button>
                                            </td>
                                        </tr>
                                        #{/list}
                                    </thead>
                                </table>
                            </div>
                        </div>
                        <div id="added_package">
                            #{list listPaket, as: 'paket'}
                                <input type="hidden" name="user_ids" value="${paket.paket_id}" />
                            #{/list}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <label class="control-label">${komoditas?.nama_komoditas}</label>
            <br>
            <div class="panel panel-default">
                <div class="panel-body">
                    <!-- Data Table -->
                    <table class="table table-striped" id="tblUserPenyediaLokal">
                        <thead>
                        <tr>
                            <th class="header-center header-no-padding">&{'nomor.label'}</th>
                            <th class="header-center header-no-padding">&{'username.label'}</th>
                            <th class="header-center header-no-padding">&{'nama_lengkap.label'}</th>
                            <th class="header-center header-no-padding">&{'email.label'}</th>
                            <th class="header-center header-no-padding">&{'rkn_id.label'}</th>
                            <th></th>
                        </tr>
                        </thead>
                    </table>
                    <!-- End Data Table -->
                </div>
            </div>
        </div>
    </div>
#{/form}
</div>

#{set 'moreScripts'}
<script src="@{'/public/javascripts/ladda/spin.min.js'}" type="text/javascript"> </script>
<script src="@{'/public/javascripts/ladda/ladda.min.js'}" type="text/javascript"> </script>
<script type="text/javascript">
    var params = {};
    params['searchUrl'] = '@{chat.ChatCtr.searchPenyedia()}';
    var user_ids = ${userIds != null ? userIds : []};
    jQuery(document).ready(function() {
        jQuery(function () {
            jQuery.getScript('/public/javascripts/user/searchpenyedialokalsektoral.js');
        });

        $("#tblUserPenyediaLokal").dataTable({
            ajax : {
                url : "@{DataTableCtr.cariUserPenyediaLokal()}",
                data: function (d) {
                    d["komoditas_id"] = "${komoditas?.id}";
                },
                cache : true
            },
            order : [1, "asc"],
            columns :
                    [
                        {
                            "searchable" : false,"className": "header-center",
                            render : function (data, type, row, meta) {
                                return meta.row + meta.settings._iDisplayStart + 1 + ".";
                            }
                        }
                        ,{"searchable" : true}
                        ,{"searchable" : true}
                        ,{"searchable" : true}
                        ,{"searchable" : false}
                        ,{"searchable" : false}
                    ]
        });

        $('#keyword').keypress(function(event){
            var keycode = event.keyCode || event.which;
            if(keycode == '13') {
                $('#search_user').click();
                return false;
            }
            return;
        });
    });
</script>
#{/set}